---
key_path: counts.count_total_code_suggestions_direct_access_rate_limit_exceeded_monthly
description: Monthly count of the number of requests that have exceeded the rate limit for the `POST /code_suggestions/direct_access` API endpoint.
product_section: dev
product_stage: create
product_group: code_creation
performance_indicator_type: []
value_type: number
status: active
milestone: '17.0'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/147246
time_frame: 28d
data_source: internal_events
data_category: optional
distribution:
- ee
tier:
- premium
- ultimate
events:
- name: code_suggestions_direct_access_rate_limit_exceeded
